Email::Date::Format(3)

NAME
Email::Date::Format - produce RFC 2822 date strings

VERSION
version 1.008

SYNOPSIS
  use Email::Date::Format qw(email_date);

  my $header = email_date($date->epoch);

  Email::Simple->create(
    header => [
      Date => $header,
    ],
    body => '...',
  );

DESCRIPTION
This module provides a simple means for generating an RFC 2822 compliant datetime string. (In case you care, they're not RFC 822 dates, because they use a four digit year, which is not allowed in RFC 822.)

PERL VERSION
This library should run on perls released even a long time ago. It should work on any version of perl released in the last five years.

Although it may work on older versions of perl, no guarantee is made that the minimum required version will not be increased. The version may be increased for any reason, and there is no promise that patches will be accepted to lower the minimum required perl.

FUNCTIONS

  email_date
  my $date = email_date; # now
  my $date = email_date( time - 60*60 ); # one hour ago

"email_date" accepts an epoch value, such as the one returned by "time". It returns a string representing the date and time of the input, as specified in RFC 2822. If no input value is provided, the current value of "time" is used.

"email_date" is exported only if requested.

  email_gmdate
  my $date = email_gmdate;

"email_gmdate" is identical to "email_date", but it will return a string indicating the time in Greenwich Mean Time, rather than local time.

"email_gmdate" is exported only if requested.

AUTHORS

•   Casey West

•   Ricardo SIGNES <cpan@semiotic.systems>

CONTRIBUTORS

•   bitcardbmw@lsmod.de <bitcardbmw@lsmod.de>

•   Eric Sproul <esproul@omniti.com>

•   Ricardo Signes <rjbs@semiotic.systems>

COPYRIGHT AND LICENSE
This software is copyright (c) 2004 by Casey West.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.